Bug 478119 - MIGRATED_FROM_JIRA: Disable anonymous binds
MIGRATED_FROM_JIRA: Disable anonymous binds
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:01 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:01:01 EST
Is it still possible to disable anonymous binds from 0.9.8 onwards?  
I've set up ACL to deny read/writes but is it possible to deny binds?


Additional Comments From jimyang dated Wed Jan 18 12:02:27 CST 2006 
Currently, you can't disable anonymous binds in 0.9.8. However, we will add this on 0.9.9. 

Thanks.

Additional Comments From endisd dated Thu Jan 26 19:47:33 CST 2006 
This has been fixed in 0.9.9 by adding allowAnonymousAccess parameter in LDAP service.
See http://docs.safehaus.org/display/PENROSE/Penrose+0.9.9+Services.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '4',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-132',
          'assignee' => 'endisd',
          'summary' => 'Disable anonymous binds',
          'id' => '10356',
          'updated' => '2006-01-26 19:47:33.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2006-01-24 00:00:00.0',
                             'sequence' => '9',
                             'name' => 'Penrose-0.9.9',
                             'released' => 'true',
                             'id' => '10040',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2005-12-05 00:00:00.0',
                                 'sequence' => '8',
                                 'name' => 'Penrose-0.9.8',
                                 'released' => 'true',
                                 'id' => '10034',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'Is it still possible to disable anonymous binds from 0.9.8 onwards?  
I've set up ACL to deny read/writes but is it possible to deny binds?

',
          'created' => '2006-01-18 12:01:45.0',
          'resolution' => '1',
          'type' => '4'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:01:03 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-132

Note You need to log in before you can comment on or make changes to this bug.